> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dust.tt/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace usage data

> Deprecated: this endpoint will be removed after 2026-07-22.
Use GET /api/v1/w/{wId}/analytics/export instead.

Get usage data for the workspace identified by {wId} in CSV or JSON format.




## OpenAPI

````yaml /docs/developer-platform/dust-api-documentation/openapi.json get /api/v1/w/{wId}/workspace-usage
openapi: 3.0.0
info:
  title: DUST API Documentation
  version: 1.0.2
  description: The OpenAPI specification for the Dust.tt API
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://dust.tt
    description: Dust.tt API (us-central1)
  - url: https://eu.dust.tt
    description: Dust.tt API (europe-west1)
security: []
tags:
  - name: Agents
    description: Agent configurations
  - name: Apps
    description: Dust apps
  - name: Conversations
    description: Conversations
  - name: DatasourceViews
    description: Data source views
  - name: Datasources
    description: Data sources
  - name: Feedbacks
    description: Message feedbacks
  - name: MCP
    description: MCP servers
  - name: Mentions
    description: Mentions
  - name: Search
    description: Search
  - name: Tools
    description: Tools
  - name: Triggers
    description: Triggers
  - name: Skills
    description: Skills
  - name: Spaces
    description: Spaces
  - name: Workspace
    description: Workspace
  - name: Private User
    description: Private API - User
  - name: Private Authentication
    description: Private API - Authentication (WorkOS)
  - name: Private Agents
    description: Private API - Agent configurations
  - name: Private Conversations
    description: Private API - Conversations
  - name: Private Messages
    description: Private API - Messages
  - name: Private Events
    description: Private API - SSE event streams
  - name: Private Files
    description: Private API - File uploads
  - name: Private Mentions
    description: Private API - Mention suggestions
  - name: Private Spaces
    description: Private API - Spaces and data source views
  - name: Private Extension
    description: Private API - Extension configuration
  - name: Private Workspace
    description: Private API - Workspace settings
paths:
  /api/v1/w/{wId}/workspace-usage:
    get:
      tags:
        - Workspace
      summary: Get workspace usage data
      description: >
        Deprecated: this endpoint will be removed after 2026-07-22.

        Use GET /api/v1/w/{wId}/analytics/export instead.


        Get usage data for the workspace identified by {wId} in CSV or JSON
        format.
      parameters:
        - in: path
          name: wId
          required: true
          description: Unique string identifier for the workspace
          schema:
            type: string
        - in: query
          name: start
          required: true
          description: The start date in YYYY-MM or YYYY-MM-DD format
          schema:
            type: string
        - in: query
          name: end
          required: false
          description: >-
            The end date in YYYY-MM or YYYY-MM-DD format (required when mode is
            'range')
          schema:
            type: string
        - in: query
          name: mode
          required: true
          description: The mode of date range selection
          schema:
            type: string
            enum:
              - month
              - range
        - in: query
          name: format
          required: false
          description: The output format of the data (defaults to 'csv')
          schema:
            type: string
            enum:
              - csv
              - json
        - in: query
          name: table
          required: true
          description: >
            The name of the usage table to retrieve:

            - "users": The list of users categorized by their activity level.

            - "assistant_messages": The list of messages sent by users including
            the mentioned agents.

            - "builders": The list of builders categorized by their activity
            level.

            - "assistants": The list of workspace agents and their corresponding
            usage.

            - "feedback": The list of feedback given by users on the agent
            messages.

            - "all": A concatenation of all the above tables.
          schema:
            type: string
            enum:
              - users
              - assistant_messages
              - builders
              - assistants
              - feedback
              - all
        - in: query
          name: includeInactive
          required: false
          description: >-
            Include users and assistants with zero messages in the export
            (defaults to false)
          schema:
            type: boolean
      responses:
        '200':
          description: >-
            The usage data in CSV or JSON format, or a ZIP of multiple CSVs if
            table is equal to "all"
          content:
            text/csv:
              schema:
                type: string
            application/json:
              schema:
                type: object
            application/zip:
              schema:
                type: string
                format: binary
        '400':
          description: Invalid request query
        '403':
          description: The workspace does not have access to the usage data API
        '404':
          description: The workspace was not found
      deprecated: true
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Your DUST API key is a Bearer token.

````